Get profiles

Returns a list of candidate profiles matching the specified filters. Filter by lifecycle state, class, date range, or any profile schema field. The filter[context][id] and filter[context][state] parameters are particularly useful for pulling all profiles at a given stage in a specific class — for example, all submitted applicants for the MBA September 2025 intake.

Timestamps (updated_at, updated_data_at) are returned in milliseconds.

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    Maximum number of objects to return. Range: 1–1000.

  • skip
    Type: integer
    min:  
    0

    Number of objects to skip for pagination.

  • updated_before
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd. updated_at is updated when there is any update to the profile including changes to profile schema fields, roles, emails etc

  • updated_after
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd. updated_at is updated when there is any update to the profile including changes to profile schema fields, roles, emails etc

  • updated_data_before
    Type: string

    Filter by profile updated_data_at date in iso 8601 - yyyy-mm-dd. updated_data_at is only updated when there are updates to the profile schema fields and roles.

  • updated_data_after
    Type: string

    Filter by profile updated_data_at date in iso 8601 - yyyy-mm-dd. updated_data_at is only updated when there are updates to the profile schema fields and roles.

  • filter[field]
    Type: string

    Field name to filter on, needs to be used with the filter[value]. E.g. first_name - (In the specific case where you need to filter on an email field, you currently need to prepend the name of the field with the word emails, e.g 'emails.email')

  • filter[value]
    Type: string

    Field value to filter by, needs to be used with the filter[field]. E.g. Greg - (To filter by an empty or missing value, only include filter[field] and exclude filter[value] from your request.)

  • filter[context][id]
    Type: string

    Filter by profiles in a certain class by the class id, referenced as context_id under the roles

  • filter[context][state]
    Type: string

    Filter by profiles in a certain profile lifecycle state e.g. prospect::started_application

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/profiles/profiles
curl 'https://ff-business-school.fullfabric.cloud/apis/profiles/profiles?limit=10&skip=0&updated_before=&updated_after=&updated_data_before=&updated_data_after=&filter[field]=&filter[value]=&filter[context][id]=&filter[context][state]=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6385bdd4976a7719120108e9",
    "first_name": "Sophie",
    "last_name": "Martin",
    "email": "sophie.martin@example.com",
    "roles": [
      {
        "id": "6385bdd4976a7719120108ed",
        "last_updated_at": 1710892800,
        "withdrawn": false,
        "withdrew_at": null,
        "withdrawn_reasons": [],
        "withdrawn_detail": null,
        "state": "applicant",
        "substate": "submitted",
        "potential": "high",
        "context_id": "6385bb46976a771912003e6a",
        "context_type": "Institutions::ClassOf",
        "campus_id": null,
        "owner_id": "6385baa4976a771912000511"
      }
    ],
    "created_at": 1700000000000,
    "updated_at": 1710892800000,
    "updated_data_at": 1710892800000,
    "source_category": "Online",
    "source_method": "Form"
  },
  {
    "id": "6385baa7976a7719120005dc",
    "first_name": "Marcus",
    "last_name": "Hoffmann",
    "email": "marcus.hoffmann@example.com",
    "roles": [
      {
        "id": "65fda9e5af11c37874ad5704",
        "last_updated_at": 1711122917,
        "withdrawn": false,
        "withdrew_at": null,
        "withdrawn_reasons": [],
        "withdrawn_detail": null,
        "state": "applicant",
        "substate": "admitted",
        "potential": "high",
        "context_id": "63a317fd9a52af198700007e",
        "context_type": "Institutions::ClassOf",
        "campus_id": null,
        "owner_id": null
      }
    ],
    "created_at": 1698000000000,
    "updated_at": 1711122917000,
    "updated_data_at": 1711122917000,
    "source_category": "Event",
    "source_method": "Events"
  },
  {
    "id": "6385bb7c976a77191200510f",
    "first_name": "Elena",
    "last_name": "Rossi",
    "email": "elena.rossi@example.com",
    "roles": [
      {
        "id": "6385bb7c976a771912005113",
        "last_updated_at": 1705708800,
        "withdrawn": false,
        "withdrew_at": null,
        "withdrawn_reasons": [],
        "withdrawn_detail": null,
        "state": "student",
        "substate": "enrolled",
        "potential": "unknown",
        "context_id": "63a317fd9a52af198700007e",
        "context_type": "Institutions::ClassOf",
        "campus_id": null,
        "owner_id": null
      }
    ],
    "created_at": 1695000000000,
    "updated_at": 1705708800000,
    "updated_data_at": 1705708800000,
    "source_category": "Referral",
    "source_method": "Staff"
  }
]